local Gnoll = _G.Gnoll
local GL = Gnoll.Locale

local CacheList = { }
local itemList = {}
local eventFrame = CreateFrame("FRAME")
 
local function OnEvent(self, event, arg1, arg2)
	for i = 1, #CacheList do
		if string.find(CacheList[i],"t###") ~= nil then
			local _, start = string.find(CacheList[i],"t###")
			local id = string.sub(CacheList[i], start+1)
			itemid = CacheList[i]
			itemList[i] = { CacheList[i], id }
			itemList[itemid] = i
		else
			none, link = GetItemInfo(CacheList[i])
			itemid = CacheList[i]
			itemList[i] = { itemid, link, "", "", "" }
			itemList[itemid] = i
		end
	end
	self.OnUpdate(itemList)
end
eventFrame:SetScript("OnEvent", OnEvent)

local function curnumbertoname(arg)
	local curency = tonumber(arg)
	local name, icon
	if curency >= 10000 then
		icon = "|TInterface\\ICONS\\INV_Misc_QuestionMark:0|t"
		if curency == 10001 then return icon..GL["Apexis Shard"] --
		elseif curency == 10002 then return icon..GL["Apexis Crystal"] -- 823
		elseif curency == 10003 then return icon..GL["Glowcap"]
		elseif curency == 10004 then return icon..GL["Holy Dust"]
		elseif curency == 10005 then return icon..GL["Arcane Rune"]
		elseif curency == 10006 then return icon..GL["Restored Artifact"]
		elseif curency == 10007 then return icon..GL["Blackfang Claw"]
		elseif curency == 10008 then return icon..GL["Hunter's Seeking Crystal"]
		elseif curency == 10009 then return icon..GL["Mark of Honor"]
		
	end
	--/run for i=1,1000 do name, x = GetCurrencyInfo(i) if name ~= "" then print(i..name) end end
	
	elseif curency == 0 then
		return "|TInterface\\MONEYFRAME\\UI-GoldIcon:0|t"
	else
		name, x, texture = GetCurrencyInfo(arg)
		return "|T"..texture..":0|t "..name
	end


end

 function GetItemCache(CacheList,UpFunc)
	eventFrame.OnUpdate = UpFunc
	eventFrame:RegisterEvent("GET_ITEM_INFO_RECEIVED")
	for i = 1, #CacheList do
		if type(CacheList[i]) == "table" then  -- item mit preisen
			if string.find(CacheList[i][1],"t###") ~= nil then
				local _, start = string.find(CacheList[i][1],"t###")
				local id = string.sub(CacheList[i][1], start+1)
				local preis,currency = nil
				itemid = CacheList[i][1]
				itemList[i] = { CacheList[i][1], id}
				itemList[itemid] = i
			else ---------currencys und zeugs umwandeln 
				if type(CacheList[i][2]) == "table" then -- doppelwährung :()
					preis = { CacheList[i][2][1], CacheList[i][2][2] }
					currency = { curnumbertoname(CacheList[i][3][1]), curnumbertoname(CacheList[i][3][2])}
				else
					preis = CacheList[i][2].." "..curnumbertoname(CacheList[i][3])
					currency = "solo"
				end

				none, link = GetItemInfo(CacheList[i][1])
				itemid = CacheList[i][1]
				itemList[i] = { itemid, link, preis, currency }
				itemList[itemid] = i
			end
		
		
			
		else 
			if string.find(CacheList[i],"t###") ~= nil then
				local _, start = string.find(CacheList[i],"t###")
				local id = string.sub(CacheList[i], start+1)
				itemid = CacheList[i]
				itemList[i] = { CacheList[i], id}
				itemList[itemid] = i
			else
				none, link = GetItemInfo(CacheList[i])
				itemid = CacheList[i]
				itemList[i] = { itemid, link, "", "" }
				itemList[itemid] = i
			end
		end
	end
	UpFunc(itemList)
end

function ClearCache()
	eventFrame:UnregisterEvent("GET_ITEM_INFO_RECEIVED")
	eventFrame.OnUpdate = nil
	table.wipe(itemList)
	table.wipe(CacheList)
end