﻿local Gnoll = _G.Gnoll
local GL = Gnoll.Locale
local GLW = Gnoll.WoWLocale

local function newtable(dim)
    local MT = {};
    for i=1, dim do
        MT[i] = {__index = function(t, k)
            if i < dim then
                t[k] = setmetatable({}, MT[i+1])
                return t[k];
            end
        end}
    end
    return setmetatable({}, MT[1]);
end


local Instanzen = { }
local MapIDS = { }
local Difficulty = { }

local Bosse = newtable(2)
local Modul = newtable(2)
local ModulData = newtable(2)
local ModulLoot = newtable(3)

	-- -- Classic Modul
Modul[1] = {  GL["Factions"] }
ModulData[1][1] = { "f###529","f###87","f###576","f###59","f###609",GL["Darnassus"],GL["Gnomeregan"],GL["Ironforge"],GL["Stormwind"],GL["Thunder Bluff"],GL["Darkspear Trolls"],GL["Orgrimmar"],GL["Undercity"],"TestFraktion" }
				-- Argentumdämmerung
ModulLoot[1][1][1] = { "t###4","13724p###1w###0","t###","t###6","19442p###10w###0","19446p###3w###0","13482p###2w###0","19216p###3w###0","19328p###3w###0","19203p###3w###0","t###7","19447p###6w###0","19217p###4w###0","19329p###4w###0","19205p###4w###0","13810p###1w###0","13813p###1w###0" }	
				-- Blutsegelbulkanerie
ModulLoot[1][1][2] = { "t###4",22742,22743,22745,22744,"t###","t###","t###","t###","t###","t###5",12185 }
				-- Holzschlundfeste
ModulLoot[1][1][3] = { "t###5","13484p###2w###0","22392p###3w###0","20253p###1w###0","20254p###2w###0","t###","t###","t###","t###","t###","t###6","19445p###3w###0","19326p###3w###0","19215p###3w###0","19202p###3w###0","t###","t###","t###","t###","t###","t###7","19327p###4w###0","19218p###4w###0","19204p###4w###0","t###","t###8",21326,"66888p###75w###0" }		
				-- Thoriumbruderschaft
ModulLoot[1][1][4] = { "t###5","17051p###7w###0","17022p###15w###0","17023p###16w###0","17018p###8w###0","19444p###3w###0","20761p###12w###0","t###","t###","t###","t###6","17060p###22w###0","17059p###22w###0","17049p###9w###0","19206p###6w###0","19330p###6w###0","17025p###16w###0","17017p###18w###0","19219p###6w###0","19448p###8w###0","t###7",18592,"17052p###18w###0","17053p###20w###0","19209p###7w###0","19208p###7w###0","19207p###8w###0","19331p###9w###0","19332p###9w###0","19333p###9w###0","19220p###9w###0","19449p###10w###0","t###","t###8","19211p###12w###0","20040p###8w###0","19210p###12w###0","19212p###12w###0" }	
				-- Zirkel des Cenarius
ModulLoot[1][1][5] = { "t###5","22768p###5w###0","22209p###5w###0","22772p###5w###0","22310p###2w###0","22769p###5w###0","20506p###4w###0","20509p###4w###0","t###","t###","t###6","22767p###5w###0","22214p###5w###0","22773p###5w###0","22770p###5w###0","20507p###4w###0","20510p###4w###0","t###","t###","t###","t###7","22219p###5w###0","22766p###5w###0","22312p###5w###0","22774p###5w###0","22683p###9w###0","22771p###5w###0","20508p###4w###0","20511p###4w###0","t###","t###8","20382p###6w###0","22221p###8w###0" }	
---------------------------------- Allianz
				-- Darnassus
ModulLoot[1][1][6] = { "t###4","45579p###1w###0","t###","t###7","67526p###2w###0","t###","t###8","64886p###4w###0","64887p###4w###0","64888p###4w###0","t###Mounts","18766p###10w###0","18767p###10w###0","18902p###10w###0","8629p###1w###0","8631p###1w###0","8632p###1w###0","47100p###1w###0" }			
				-- Gnomeregan
ModulLoot[1][1][7] = { "t###4","45578p###1w###0","t###","t###7","67530p###2w###0","t###","t###8","64895p###4w###0","64896p###4w###0","64897p###4w###0","t###Mounts","18772p###10w###0","18773p###10w###0","18774p###10w###0","8563p###1w###0","8595p###1w###0","13321p###1w###0","13322p###1w###0" }			
				-- Eisenschmiede
ModulLoot[1][1][8] = { "t###4","45577p###1w###0","t###","t###7","67528p###2w###0","t###","t###8","64898p###4w###0","64899p###4w###0","64900p###4w###0","t###Mounts","18785p###10w###0","18786p###10w###0","18787p###10w###0","5864p###1w###0","5872p###1w###0","5873p###1w###0" }								
				-- Sturmwind
ModulLoot[1][1][9] = { "t###4","45574p###1w###0","t###","t###7","67531p###2w###0","t###","t###8","64901p###4w###0","64902p###4w###0","64903p###4w###0","t###Mounts","18776p###10w###0","18777p###10w###0","18778p###10w###0","2411p###1w###0","2414p###1w###0","5655p###1w###0","5656p###1w###0" }				
---------------------------------- Horde
				-- Donnerfels
ModulLoot[1][1][10] = { "t###4","45584p###1w###0","t###","t###7","67534p###2w###0","t###","t###8","64917p###4w###0","64918p###4w###0","64919p###4w###0","t###Mounts","18793p###10w###0","18794p###10w###0","18795p###10w###0","15277p###1w###0","15290p###1w###0","46100p###1w###0" }							
				-- Dunkelspeertrolle
ModulLoot[1][1][11] = { "t###4","45582p###1w###0","t###","t###7","67536p###2w###0","t###","t###8","64911p###4w###0","64912p###4w###0","64913p###4w###0","t###Mounts","18788p###10w###0","18789p###10w###0","18790p###10w###0","8588p###1w###0","8591p###1w###0","8592p###1w###0" }								
				-- Orgrimmar
ModulLoot[1][1][12] = { "t###4","45581p###1w###0","t###","t###7","67533p###2w###0","t###","t###8","64908p###4w###0","64909p###4w###0","64910p###4w###0","t###Mounts","18796p###10w###0","18797p###10w###0","18798p###10w###0","1132p###1w###0","5665p###1w###0","5668p###1w###0","46099p###1w###0" }			
				-- Unterstadt
ModulLoot[1][1][13] = { "t###4","45583p###1w###0","t###","t###7","67529p###2w###0","t###","t###8","64920p###4w###0","64921p###4w###0","64922p###4w###0","t###Mounts","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0" }	
--TestFraktion-----------------------------------------------------------
ModulLoot[1][1][14] = { "13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0","13334p###10w###0","18791p###10w###0","47101p###10w###0","13331p###1w###0","13332p###1w###0","13333p###1w###0","46308p###1w###0" }
	

Modul[2] = {  GL["World Bosses"],GL["Factions"] }
ModulData[2][1] = { GL["Doom Lord Kazzak"],GL["Doomwalker"] }
ModulLoot[2][1][1] = { 30732,30733,30740,30735,30741,30739,30734,30737,30736,30738 }
ModulLoot[2][1][2] = { 30723,30724,30722,30728,30731,30726,30729,30730,30725,30727 }

				-- Fraktions-IDs											
ModulData[2][2] = { "f###1012","f###942","f###989","f###1015","f###1038","f###970","f###933","f###990","f###967","f###1011","f###1031","f###1077","f###932","f###934","f###935",GL["Exodar"],GL["Honor Hold"],GL["Kurenai"],GL["Silvermoon City"],GL["The Mag'Har"],GL["Thrallmar"],GL["Tranquillien"] }
				-- Todeshörigen
ModulLoot[2][2][1] = { "t###5","32444p###8w###0","32442p###8w###0","32436p###8w###0","32435p###8w###0","32430p###8w###0","32429p###8w###0","32440p###8w###0","32438p###8w###0","t###","t###6","32443p###8w###0","32441p###8w###0","32433p###8w###0","32434p###8w###0","32431p###8w###0","32432p###8w###0","32447p###8w###0","32439p###8w###0","32437p###8w###0","t###8","32486p###30w###0","32485p###30w###0","32488p###30w###0","32493p###30w###0","32487p###30w###0","32492p###30w###0","32491p###30w###0","32489p###30w###0","32490p###30w###0" }
				-- Expedition des Cenarius 
ModulLoot[2][2][2] = { "t###5","25737p###14w###0","23814p###6w###0","24429p###1w###0","t###","t###","t###","t###","t###","t###","t###6","25735p###16w###0","25736p###14w###0","29720p###6w###0","28632p###6w###0","23618p###6w###0","25526p###6w###0","32070p###4w###0","25869p###8w###0","t###","t###6","25838p###26w###0","25836p###36w###0","t###","t###","t###","t###","t###","t###","t###","t###41","35374p###23w###0","35365p###30w###0","35358p###32w###0","t###","t###35","35336p###24w###0","35342p###32w###0","t###","t###","t###37","35385p###22w###0","35387p###15w###0","35394p###32w###0","t###","t###32","35403p###15w###0","35415p###32w###0","t###","t###","t###31","35408p###15w###0","t###38","35347p###30w###0","t###34","35347p###23w###0","t###33","35379p###30w###0","t###39","35329p###23w###0","t###7","31391p###24w###0","31392p###24w###0","24183p###12w###0","28271p###8w###0","22918p###8w###0","29174p###13w###0","29173p###18w###0","t###","t###","t###8","31390p###24w###0","31402p###12w###0","33149p###10w###0","31356p###4w###0","29721p###12w###0","22922p###10w###0","t###","t###","t###","t###8","33999p###2000w###0","29171p###266w###0","29172p###80w###0","29170p###33w###0","31804p###1w###0" }
				-- Hüter der Zeit
ModulLoot[2][2][3] = { "t###6","28272p###8w###0","29713p###12w###0","33160p###12w###0","22910p###12w###0","t###","t###","t###","t###","t###","t###7","24181p###12w###0","24174p###12w###0","33158p###12w###0","29184p###31w###0","29185p###45w###0","t###","t###","t###","t###","t###8","33152p###10w###0","31355p###4w###0","29182p###205w###0","29183p###44w###0","29181p###80w###0","31777p###1w###0" }
				-- Netherschwingen
ModulLoot[2][2][4] = { "t###5",32694,"t###","t###6",32695,32864,"t###","t###7",32863,"t###","t###8",32857,32858,32859,32860,32861,32862 }
				-- Ogri'la
ModulLoot[2][2][5] = { "t###5",32910,32909,"t###","t###6","32783p###3w###10001","32784p###3w###10001","t###","t###","t###","t###7","32652p###1w###10002p###50w###10001","32653p###1w###10002p###50w###10001","32650p###1w###10002p###50w###10001","32654p###1w###10002p###50w###10001","t###","t###","t###","t###","t###","t###8","32645p###4w###10002p###100w###10001","32651p###4w###10002p###100w###10001","32647p###4w###10002p###100w###10001","32648p###4w###10002p###100w###10001","32828p###10w###10001" }
				-- Sporeggar
ModulLoot[2][2][6] = { "t###5","25548p###1w###10003","t###","t###6","25550p###1w###10003","25827p###25w###10003","25828p###15w###10003","t###","t###","t###","t###7","22916p###25w###10003","38229p###25w###10003","22916p###25w###10003","29150p###45w###10003","29149p###20w###10003","t###","t###","t###","t###","t###","t###8","22906p###30w###10003","34478p###30w###10003","31775p###10w###10003" }	
			 	-- Konsortium
ModulLoot[2][2][7] = { "t###5","25732p###12w###0","23136p###5w###0","23146p###6w###0","28274p###4w###0","t###","t###","t###","t###","t###","t###6","25733p###14w###0","23155p###6w###0","23150p###6w###0","23134p###6w###0","25902p###12w###0","25908p###12w###0","24314p###4w###0","22552p###6w###0","t###","t###6","29456p###35w###0","29457p###35w###0","t###","t###","t###","t###","t###","t###","t###","t###7","24178p###12w###0","25734p###14w###0","23874p###8w###0","33156p###12w###0","33305p###12w###0","25903p###12w###0","t###","t###","t###","t###7","29115p###35w###0","29116p###33w###0","29117p###30w###0","t###","138796p###12w###0","t###","t###","t###","t###","t###8","33622p###12w###0","29122p###110w###0","29119p###80w###0","29121p###200w###0","31776p###1w###0" }
				-- Wächter der Sande
ModulLoot[2][2][8] = { "t###5","32277p###6w###0","32284p###6w###0","32287p###6w###0","32286p###6w###0","32282p###6w###0","32291p###6w###0","32274p###6w###0","t###","t###","t###6","35764p###6w###0","32311p###6w###0","32312p###6w###0","32306p###6w###0","35765p###6w###0","32304p###6w###0","35763p###6w###0","32310p###6w###0","35762p###6w###0","t###6","32301p###6w###0","t###","t###7","32309p###6w###0","32292p###6w###0","32308p###6w###0" }
				-- Violette Auge
ModulLoot[2][2][9] = { "t###6","31393p###24w###0","31395p###24w###0","31401p###12w###0","29187p###30w###0","t###","t###7","33205p###24w###0","31394p###24w###0","t###","t###8","33124p###5w###0","33165p###3w###0" }
				-- Unteres Viertel
ModulLoot[2][2][10] = { "t###5","23138p###6w###0","t###","t###6","30833p###6w###0","t###","t###41","35357p###24w###0","35361p###15w###0","35373p###31w###0","t###35","35335p###16w###0","35340p###32w###0","t###37","35391p###31w###0","35389p###31w###0","35382p###15w###0","t###32","35405p###30w###0","35412p###32w###0","t###31","35411p###24w###0","t###38","35344p###23w###0","t###34","35370p###31w###0","t###33","35378p###22w###0","t###39","35331p###24w###0","t###7","33157p###12w###0","22910p###8w###0","24179p###12w###0","24175p###12w###0","30836p###31w###0","30841p###18w###0","30835p###31w###0","t###","t###","t###8","33148p###10w###0","30830p###250w###0","30832p###50w###0","30834p###20w###0","31778p###1w###0" }
				-- Himmelswache der Sha'tari
ModulLoot[2][2][11] = { "t###5","32722p###1w###0","t###","t###6","32721p###1w###0","t###","t###7","32538p###25w###0","32539p###24w###0","t###","t###8","32319p###200w###0","32314p###200w###0","32316p###200w###0","32317p###200w###0","32318p###200w###0","32771p###4w###0","32770p###4w###0","38628p###40w###0","32445p###1w###0" }
				-- Offensive der Zerschmetterten Sonne
ModulLoot[2][2][12] = { "t###5","34780p###1w###0","35246p###50w###0","35249p###50w###0","35264p###50w###0","35263p###50w###0","35248p###50w###0","35260p###50w###0","35244p###50w###0","t###","t###6","34872p###15w###0","35500p###15w###0","35251p###50w###0","35253p###50w###0","35266p###50w###0","35269p###50w###0","35254p###50w###0","35239p###50w###0","t###","t###7","35766p###50w###0","35769p###50w###0","35768p###50w###0","35767p###50w###0","35252p###50w###0","35259p###50w###0","35271p###50w###0","35708p###12w###0","35505p###15w###0","35502p###15w###0","35699p###25w###0","35695p###25w###0","35696p###25w###0","35697p###25w###0","35698p###25w###0","34667p###41w###0","34674p###33w###0","34666p###46w###0","34670p###43w###0","34672p###43w###0","34671p###43w###0","34665p###45w###0","34673p###54w###0","t###","t###8","35323p###12w###0","35322p###12w###0","35325p###12w###0","34680p###24w###0","34679p###24w###0","34678p###24w###0","34677p###24w###0","34676p###38w###0","34675p###38w###0","35221p###1w###0" }	
				-- Aldor
ModulLoot[2][2][13] = { "t###5","23149p###5w###0","30842p###6w###0","23601p###6w###0","t###","t###","t###","t###","t###","t###","t###6","23603p###6w###0","24293p###6w###0","29704p###8w###0","29693p###8w###0","30843p###8w###0","23145p###5w###0","t###","t###","t###","t###6","29129p###32w###0","28881p###2w###10004","28885p###2w###10004","28878p###2w###10004","28882p###2w###10004","t###","t###","t###","t###","t###7","23604p###8w###0","25721p###5w###0","29703p###8w###0","29691p###8w###0","24177p###12w###0","29128p###3w###0","29127p###32w###0","29130p###57w###0","t###","t###8","23602p###6w###0","29702p###8w###0","24295p###36w###0","29689p###8w###0","30844p###10w###0","t###","t###","t###","t###","t###8","29124p###208w###0","29123p###80w###0","28886p###8w###10004","28888p###8w###10004","28887p###8w###10004","28889p###8w###10004","31779p###1w###0" }	
				-- Seher
ModulLoot[2][2][14] = { "t###5","23133p###6w###0","23597p###6w###0","t###","t###","t###","t###","t###","t###","t###","t###6","23598p###6w###0","29682p###8w###0","29701p###8w###0","24292p###6w###0","28907p###2w###10005","28903p###2w###10005","28904p###2w###10005","28908p###2w###10005","t###","t###7","24176p###12w###0","22908p###6w###0","23599p###6w###0","29684p###8w###0","29700p###8w###0","25722p###5w###0","t###","t###","t###","t###7","29132p###18w###0","29131p###32w###0","29133p###57w###0","29134p###16w###0","t###","t###","t###","t###","t###","t###8","23600p###8w###0","29677p###8w###0","29698p###8w###0","24294p###36w###0","t###","t###","t###","t###","t###","t###8","29125p###208w###0","29126p###80w###0","28910p###8w###10004","28909p###8w###10004","28912p###8w###10004","28911p###8w###10004","31780p###1w###0" }	
				-- Sha'tar
ModulLoot[2][2][15] = { "t###5","25904p###12w###0","t###","t###6","28273p###6w###0","29717p###12w###0","33155p###12w###0","t###","t###","t###","t###41","35362p###23w###0","35359p###24w###0","35375p###32w###0","t###","t###35","35333p###23w###0","35341p###24w###0","t###","t###","t###37","35381p###26w###0","35395p###21w###0","35388p###23w###0","t###","t###32","35404p###23w###0","35416p###24w###0","t###","t###","t###31","35407p###30w###0","t###38","35345p###15w###0","t###34","35368p###30w###0","t###33","35380p###22w###0","t###39","35330p###31w###0","t###7","29180p###15w###0","29179p###18w###0","24182p###12w###0","28281p###6w###0","22915p###8w###0","13517p###8w###0","33159p###12w###0","t###","t###","t###8","29175p###200w###0","29176p###135w###0","29177p###80w###0","33153p###10w###0","31354p###4w###0","31781p###1w###0" }	
---------------------------------- Allianz
				-- Die Exodar
ModulLoot[2][2][16] = { "t###4","45580p###1w###0","t###","t###7","67527p###2w###0","t###","t###8","64889p###3w###0","64890p###3w###0","64891p###3w###0","t###Mounts","29745p###10w###0","29746p###10w###0","29747p###10w###0","28481p###1w###0","29743p###1w###0","29744p###1w###0" }	
				-- Ehrenfeste
ModulLoot[2][2][17] = { "t###5","29213p###12w###0","23142p###6w###0","22531p###6w###0","24008p###1w###0","24007p###1w###0","t###","t###","t###","t###","t###6","25826p###12w###0","25825p###35w###0","29214p###16w###0","29215p###16w###0","29719p###6w###0","22905p###5w###0","25870p###8w###0","t###","t###","t###41","35469p###31w###0","35470p###24w###0","35471p###16w###0","t###","t###35","35466p###23w###0","35467p###17w###0","t###","t###","t###37","35474p###22w###0","35472p###27w###0","35473p###15w###0","t###","t###32","35476p###22w###0","35477p###15w###0","t###","t###","t###31","35478p###23w###0","t###38","35465p###13w###0","t###34","35468p###15w###0","t###33","35475p###15w###0","t###39","35464p###30w###0","t###7","29166p###55w###0","29169p###18w###0","24180p###12w###0","22547p###6w###0","t###","t###","t###","t###","t###","t###8","29153p###215w###0","29151p###160w###0","29156p###200w###0","33150p###10w###0","29722p###12w###0","23619p###6w###0","23999p###1w###0" }	
				-- Kurenai
ModulLoot[2][2][18] = { "t###5","29217p###12w###0","t###","t###","t###","t###","t###","t###","t###","t###","t###6","29219p###12w###0","34175p###16w###0","34173p###16w###0","30444p###5w###0","t###","t###","t###","t###","t###","t###7","29148p###24w###0","29142p###31w###0","29146p###18w###0","29218p###12w###0","30443p###8w###0","t###","t###","t###","t###","t###8","29230p###100w###0","29227p###100w###0","29229p###100w###0","29231p###100w###0","31834p###70w###0","31830p###70w###0","31832p###70w###0","31836p###70w###0","t###","t###8","29138p###52w###0","29136p###24w###0","29140p###22w###0","31774p###1w###0" }	
---------------------------------- Horde
				-- Silbermond
ModulLoot[2][2][19] = { "t###4","45585p###1w###0","t###","t###7","67535p###2w###0","t###","t###8","64914p###4w###0","64915p###4w###0","64916p###4w###0","t###Mounts","28936p###10w###0","29223p###10w###0","29224p###10w###0","28927p###1w###0","29220p###1w###0","29221p###1w###0","29222p###1w###0" }
				-- Mag'Har
ModulLoot[2][2][20] = { "t###5","25741p###12w###0","t###","t###","t###","t###","t###","t###","t###","t###","t###6","25742p###12w###0","34174p###16w###0","34172p###16w###0","29664p###5w###0","t###","t###","t###","t###","t###","t###7","29147p###24w###0","29141p###31w###0","29145p###18w###0","25743p###12w###0","22917p###8w###0","t###","t###","t###","t###","t###8","29105p###100w###0","29102p###100w###0","29104p###100w###0","29103p###100w###0","31833p###70w###0","31829p###70w###0","31831p###70w###0","31835p###70w###0","t###","t###8","29137p###52w###0","29135p###24w###0","29139p###22w###0","31773p###1w###0" }
				-- Thrallmar
ModulLoot[2][2][21] = { "t###5","25738p###12w###0","31359p###6w###0","24000p###6w###0","24009p###1w###0","24006p###1w###0","t###","t###","t###","t###","t###6","25739p###16w###0","25740p###16w###0","31361p###6w###0","24001p###5w###0","29232p###8w###0","25824p###11w###0","t###","t###","t###","t###41","35364p###23w###0","35360p###30w###0","35371p###15w###0","t###","t###35","35339p###24w###0","35337p###32w###0","t###","t###","t###37","35383p###23w###0","35386p###30w###0","35392p###15w###0","t###","t###32","35406p###23w###0","35413p###16w###0","t###","t###","t###31","35409p###24w###0","t###38","35343p###24w###0","t###34","35366p###15w###0","t###33","35377p###16w###0","t###39","35332p###30w###0","t###7","29168p###18w###0","29167p###55w###0","31358p###12w###0","24003p###6w###0","t###","t###","t###","t###","t###","t###8","29152p###160w###0","29165p###208w###0","29155p###215w###0","33151p###10w###0","31362p###12w###0","24002p###6w###0","24004p###1w###0" }
				-- Tristessa
ModulLoot[2][2][22] = { "t###5","132571p###1w###0","22993p###1w###0","22991p###1w###0","22992p###1w###0","28164p###1w###0","t###","t###","t###","t###","t###6","28158p###1w###0","28155p###1w###0","132573p###1w###0","28162p###1w###0","t###","t###","t###","t###","t###","t###7","22985p###1w###0","132572p###1w###0","22986p###1w###0","22987p###1w###0","t###","t###8","22990p###1w###0" }	

-- Modul[3] = {  GL["Factions"] }
-- ModulData[3][1] = {  }
-- ModulLoot[3][1][1] = {  }
-- ModulLoot[3][1][2] = {  }

-- Modul[4] = {  GL["Factions"] }
-- ModulData[4][1] = {  }
-- ModulLoot[4][1][1] = {  }
-- ModulLoot[4][1][2] = {  }

-- Modul[5] = {  GL["Factions"] }
-- ModulData[5][1] = {  }
-- ModulLoot[5][1][1] = {  }
-- ModulLoot[5][1][2] = {  }

Modul[6] = {  GL["Factions"] }
ModulData[6][1] = { "f###1515","f###1850","f###1849","f###1711",GL["Council of Exarchs"],GL["Hand of the Prophet"],GL["Sha'tari Defense"],GL["Wrynn's Vanguard"],GL["Frostwolf Orcs"],GL["Laughing Skull Orcs"],GL["Vol'jin's Headhunters"],GL["Vol'jin's Spear"] }
				-- Ausgestoßene Arakkoa
ModulLoot[6][1][1] = { "t###5","118666p###5w###0p###1w###823","t###","t###6","118682p###500w###0","t###","t###7","128294p###2500w###0","119143p###1000w###0p###2000w###823","118698p###1000w###0","t###8","116772p###5000w###0","117390p###1w###10006","117389p###1w###10006","119136p###100w###0" }
				-- Die Säbelzahnpirscher
ModulLoot[6][1][2] = { "t###5","128453p###30w###0","t###","t###6","116671p###1000w###10007","128439p###100w###10007","t###","t###7","128446p###700w###0","128477p###1500w###10007","t###8","128481p###5000w###10007","128449p###10w###0" }
				-- Orden der Erwachten
ModulLoot[6][1][3] = { "t###5","123974p###150000w###823","128454p###50w###0","t###","t###6","128502p###1000w###0","128441p###1000w###823","t###","t###","t###","t###7","128503p###5000w###10008","122283p###50000w###823","t###","t###","t###","t###","t###","t###","t###","t###8","128478p###2000w###823","128450p###30w###0","t###Alliance","128487p###200w###0","t###Horde","128488p###200w###0" }
				-- Werterhaltungsgesellschaft des Dampfdruckkartells
ModulLoot[6][1][4] = { "t###5","118667p###5w###0p###1w###823","t###","t###6","118683p###500w###0","110426p###5w###0","t###","t###","t###","t###","t###7","119148p###1000w###0p###2000w###823","119149p###1000w###0p###2000w###823","119165p###5000w###0","t###","t###","t###","t###","t###","t###","t###8","116672p###5000w###0p###5000w###823","119137p###100w###0" }
---------------------------------- Allianz
				-- Exarchenrat
ModulLoot[6][1][5] = { "t###5","118665p###5w###0p###1w###823","t###","t###6","118680p###500w###0","115472p###1000w###0p###50w###823","t###","t###","t###","t###","t###7","118663p###2500w###0","119142p###1000w###0p###2000w###823","119162p###5000w###0","t###","t###","t###","t###","t###","t###","t###8","116664p###5000w###0p###5000w###823","119135p###100w###0" }
				-- Hand des Propheten
ModulLoot[6][1][6] = { "t###5","128492p###550w###0","128452p###50w###0","t###","t###6","128491p###220w###0","128474p###600w###0","128445p###600w###0","t###","t###","t###7","128462p###300w###0","128473p###500w###0","128444p###1200w###0","t###","t###","t###","t###","t###","t###","t###8","128527p###2500w###0","128482p###6000w###0" }
				-- Sha'tarverteidigung
ModulLoot[6][1][7] = { "t###5","118669p###5w###0p###1w###823","t###","t###6","118685p###500w###0","119182p###250w###0","t###","t###","t###","t###","t###7","119150p###1000w###0p###2000w###823","119421p###250w###0","119167p###5000w###0","t###","t###","t###","t###","t###","t###","t###7","119428p###1000w###0","119427p###1000w###0","119422p###1000w###0","119429p###1000w###0","119426p###1000w###0","119425p###1000w###0","119424p###1000w###0","119423p###1000w###0", }
				-- Wrynns Vorhut
ModulLoot[6][1][8] = { "t###5",115521,"114126p###10w###0","115513p###5000w###944","t###6","115522p###50w###0","115532p###2000w###944","t###7","116396p###50000w###944",115496,"t###Headguards","115743p###3w###10009","115790p###3w###10009","115785p###3w###10009","115616p###3w###10009","t###Shoulders","115745p###2w###10009","115792p###2w###10009","115787p###2w###10009","115619p###2w###10009","t###Chests","115741p###3w###10009","115788p###3w###10009","115783p###3w###10009","115618p###3w###10009","t###Wrists","115709p###1w###10009","115690p###1w###10009","115676p###1w###10009","115628p###1w###10009","t###Gloves","115742p###2w###10009","115789p###2w###10009","115784p###2w###10009","115615p###2w###10009","t###Belts","115703p###1w###10009","115684p###1w###10009","115670p###1w###10009","115622p###1w###10009","t###Legguards","115744p###3w###10009","115791p###3w###10009","115786p###3w###10009","115617p###3w###10009","t###Boots","115706p###2w###10009","115687p###2w###10009","115673p###2w###10009","115625p###2w###10009","t###8","116776p###5000w###0p###5000w###823","115517p###10w###0" }
---------------------------------- Horde
				-- Frostwolforcs
ModulLoot[6][1][9] = { "t###5","118664p###5w###0p###1w###823","t###","t###6","118677p###500w###0","115468p###1000w###0","t###","t###","t###","t###","t###7","118662p###2500w###0","119141p###1000w###0p###2000w###823","119161p###5000w###0","t###","t###","t###","t###","t###","t###","t###8","116785p###5000w###0p###5000w###823","119133p###100w###0" }
				-- Orcs des lachenden Schädels
ModulLoot[6][1][10] = { "t###5","118668p###5w###0p###1w###823","119159p###500w###0","t###","t###6","118684p###500w###0","119160p###1250w###0","t###","t###","t###","t###7","118674p###1000w###0p###1000w###823","118672p###1000w###0p###1000w###823","118671p###1000w###0p###1000w###823","119146p###1000w###0p###2000w###823","119166p###5000w###0","t###","t###","t###","t###","t###8","118673p###5000w###0p###1000w###823","116782p###5000w###0p###5000w###823","119138p###100w###0" }
				-- Vol'jins Kopfjäger
ModulLoot[6][1][11] = { "t###5","127269p###550w###0","128451p###550w###0","t###","t###6","128251p###220w###0","113212p###600w###0","128440p###600w###0","t###","t###","t###7","128472p###500w###0","128471p###300w###0","128490p###1200w###0","t###","t###","t###","t###","t###","t###","t###8","128526p###2500w###0","128475p###6000w###0" }
				-- Vol'jins Speer
ModulLoot[6][1][12] = { "t###5",120049,"115500p###10w###0","115513p###5000w###944","t###6","116397p###50w###0","116398p###2000w###944","t###7","115505p###50000w###944",115495,"t###Headguards","111216p###3w###10009","111290p###3w###10009","111285p###3w###10009","111098p###3w###10009","t###Shoulders","111218p###2w###10009","111292p###2w###10009","111287p###2w###10009","111092p###2w###10009","t###Chests","111214p###3w###10009","111288p###3w###10009","111283p###3w###10009","111091p###3w###10009","t###Wrists","111182p###1w###10009","111163p###1w###10009","111149p###1w###10009","111101p###1w###10009","t###Gloves","111215p###2w###10009","111289p###2w###10009","111284p###2w###10009","111088p###2w###10009","t###Belts","111176p###1w###10009","111157p###1w###10009","111143p###1w###10009","111095p###1w###10009","t###Legguards","111217p###3w###10009","111291p###3w###10009","111286p###3w###10009","111090p###3w###10009","t###Boots","111179p###2w###10009","111160p###2w###10009","111146p###2w###10009","111098p###2w###10009","t###8","116775p###5000w###0p###5000w###823","115518p###10w###0" }

-- Modul[7] = {  GL["Factions"] }
-- ModulData[7][1] = {  }
-- ModulLoot[7][1][1] = {  }
-- ModulLoot[7][1][2] = {  }

local ClassSpecs = {{71,72,73},{65,66,70},{253,254,255},{259,260,261},{256,257,258},{250,251,252},{262,263,264},{62,63,64},{265,266,267},{268,269,270},{102,103,104,105},{577,581}}
local Addons = {"Classic","Burning Crusade","Wrath of the Lich King","Cataclysm","Mists of Pandaria","Warlords of Draenor","Legion"}

						-------------------- Classic:  --------------------
Difficulty[1] = { {1,2},{1},{1},{1},{1},{1},{1},{1},{1,2},{1,2},{1,2},{1},{1},{1},{1},{1,2},{1},{1},{1},{1},{9},{9},{3},{9} }
Instanzen[1] =  { 64,230,226,231,240,233,234,232,311,316,246,228,236,237,227,63,239,229,238,241,741,742,743,744 }
MapIDS[1] =     { 764,699,680,691,749,760,761,750,871,874,898,704,765,687,688,756,692,721,690,686,696,755,717,766 }
						-------------------- Dungeons:  --------------------
Bosse[1][1] = { 96,97,98,99,100 }										-- Burg Schattenfang
Bosse[1][2] = { 402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417 }	-- Düsterbruch
Bosse[1][3] = { 694,695,696,697 }										-- Flammenschlund
Bosse[1][4] = { 419,420,421,418,422 }									-- Gnomeregan
Bosse[1][5] = { 474,476,475,477,478,479,480,481 }						-- Höhlen des Wehklagens
Bosse[1][6] = { 1142,433,1143,1146,1141 }								-- Hügel der Klingenhauer
Bosse[1][7] = { 896,895,899,900,901 }									-- Kral der Klingenhauer
Bosse[1][8] = { 423,424,425,427,428,429,430,431 }						-- Maraudon
Bosse[1][9] = { 660,654,656 }											-- Scharlachrote Hallen
Bosse[1][10] = { 688,671,674 }											-- Scharlachrotes Kloster
Bosse[1][11] = { 659,663,665,666,684 }									-- Scholomance
Bosse[1][12] = { 369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387 }	-- Schwarzfelstiefen
Bosse[1][13] = { 443,445,--[[749,]]446,448,449,450,451,452,453,454,455,456 }		-- Stratholme
				-- Entfernte NPCs: Kommandant Malor (749)
Bosse[1][14] = { 457,458,459,463 }										-- Tempel von Atal'Hakkar
Bosse[1][15] = { 368,436,426,1145,447,1144,437,444 }					-- Tiefschwarze Grotte
Bosse[1][16] = { 89,90,91,92,93 }										-- Todesminen
Bosse[1][17] = { 467,469,--[[748,]]470,471,472,473 }					-- Uldaman
				-- Entfernte NPCs: Obsidianwächter (748)
Bosse[1][18] = { 388,389,390,391,392,393,394,395,396 }					-- Untere Schwarzfelsspitze
Bosse[1][19] = { 464,465,466 }											-- Verlies
Bosse[1][20] = { --[[482,]]483,484,--[[485,]]486,487,489 }				-- Zul'Farrak
				-- Entfernte NPCs: Hydromantin Velratha (482), Theka der Märtyrer (485)
						-------------------- Raids:  --------------------
Bosse[1][21] = { 1519,1520,1521,1522,1523,1524,1525,1526,1527,1528 }	-- Geschmolzener Kern
Bosse[1][22] = { 1529,1530,1531,1532,1533,1534,1535,1536 }				-- Pechschwingenhort
Bosse[1][23] = { 1537,1538,1539,1540,1541,1542 }						-- Ruinen von Ahn'Qiraj
Bosse[1][24] = { 1543,1547,1544,1545,1548,1546,1549,1550,1551 }			-- Tempel von Ahn'Qiraj

						-------------------- Burning Crusade:  --------------------
Difficulty[2] = { {1,2,24},{1,2},{1,2},{1,2},{1,2},{1,2},{1,2,24},{1,2},{1,2},{1,2,24},{1,2},{1,2,24},{1,2,24},{1,2},{1,2},{1,2,24},{4},{4},{4},{3},{4},{4},{4},{4} }
Instanzen[2] =  { 254,247,256,257,261,248,250,258,253,255,252,260,249,262,251,259,749,746,748,745,747,750,751,752 }
MapIDS[2] =     { 731,722,725,729,727,797,732,730,724,733,723,728,798,726,734,710,782,776,780,799,779,775,796,789 }
Bosse[2][1] = { 548,549,550,551 }										-- Arkatraz
Bosse[2][2] = { 523,524 }												-- Auchenaikrypta
Bosse[2][3] = { 555,556,557 }											-- Blutkessel
Bosse[2][4] = { 558,559,560,561,562 }									-- Botanika
Bosse[2][5] = { 573,574,575 }											-- Dampfkammer
Bosse[2][6] = { 527,528,529 }											-- Höllenfeuerbollwerk
Bosse[2][7] = { 534,535,537 }											-- Managruft
Bosse[2][8] = { 563,564,565 } -- Cache of the Legion?					-- Mechanar
Bosse[2][9] = { 544,545,546,547 }										-- Schattenlabyrinth
Bosse[2][10] = { 552,553,554}											-- Schwarze Morast
Bosse[2][11] = { 541,543 }	-- Heroisch: Anzu							-- Sethekkhallen
Bosse[2][12] = { 570,571,572 }											-- Sklavenunterkünfte
Bosse[2][13] = { 530,531,532,533 }										-- Terrasse der Magister
Bosse[2][14] = { 576,577,578,579 }										-- Tiefensumpf
Bosse[2][15] = { 538,539,540 }											-- Vorgebirge des Alten Hügellands
Bosse[2][16] = { 566,568,569 }											-- Zerschmetterten Hallen
						-------------------- Raids:  --------------------
Bosse[2][17] = { 1573,1574,1575,1576 }									-- Das Auge = Festung der Stürme
Bosse[2][18] = { 1564,1565 }											-- Gruuls Unterschlupf
Bosse[2][19] = { 1567,1568,1569,1570,1571,1572 }						-- Höhle des Schlangenschreins
Bosse[2][20] = { 1552,1553,1554,1555,1556,1558,1557,1559,1560,1561,1562,1563 }	-- Karazhan
Bosse[2][21] = { 1566 }													-- Magtheridons Kammer
Bosse[2][22] = { 1577,1578,1579,1580,1581 }								-- Die Schlacht um den Hyjal = Hyjalgipfel
Bosse[2][23] = { 1582,1583,1584,1585,1586,1587,1588,1589,1590 }			-- Schwarze Tempel
Bosse[2][24] = { 1591,1592,1593,1594,1595,1596 }						-- Sonnenbrunnenplateau

						-------------------- Wrath of the Lich King:  --------------------
Difficulty[3] = { {1,2,24},{1,2},{1,2},{1,2},{1,2},{1,2,24},{1,2,24},{1,2,24},{1,2},{1,2},{1,2,24},{1,2},{1,2},{1,2},{1,2,24},{1,2},{3,4},{3,4},{3,5,4,6},{3,4},{3,4},{3,4},{3,5,4,6},{3,5,4,6},{3,4} }
Instanzen[3] = 	{ 271,279,272,285,273,278,274,275,276,277,281,282,284,280,286,283,753,756,758,754,755,760,757,761,759 }
MapIDS[3] = 	{ 522,521,533,523,534,602,530,525,603,526,520,528,542,601,524,536,532,527,604,535,531,718,543,609,529 }
Bosse[3][1] = { 580,581,582,584 }										-- Ahn'kahet: Das Alte Königreich
Bosse[3][2] = { 611,612,613,614 }										-- Das Ausmerzen von Stratholme
Bosse[3][3] = { 585,586,587 }											-- Azjol-Nerub
Bosse[3][4] = { 638,639,640 }											-- Burg Utgarde
Bosse[3][5] = { 588,589,590,591 }										-- Feste Drak'Tharon
Bosse[3][6] = { 608,609,610 }											-- Grube von Saron
Bosse[3][7] = { 592,593,594,596 }										-- Gundrak
Bosse[3][8] = { 597,598,599,600 }										-- Hallen der Blitze
Bosse[3][9] = { 601,602,603 }											-- Hallen der Reflexionen
Bosse[3][10] = { 604,605,606,607 }										-- Hallen des Steins
Bosse[3][11] = { 618,619,620,621 }										-- Der Nexus
Bosse[3][12] = { 622,623,624,625 }										-- Das Oculus
Bosse[3][13] = { 634,635,636,637 }										-- Prüfung des Champions
Bosse[3][14] = { 615,616 }												-- Die Seelenschmiede
Bosse[3][15] = { 641,642,643,644 }										-- Turm Utgarde
Bosse[3][16] = { 626,627,628,629,630,631,632 }							-- Die Violette Festung
						-------------------- Raids:  --------------------
Bosse[3][17] = { 1597,1598,1599,1600 }									-- Archavons Kammer
Bosse[3][18] = { 1617 }													-- Das Auge der Ewigkeit 
Bosse[3][19] = { 1624,1625,1626,1628,1629,1630,1631,1632,1633,1634,1635,1636 }	-- Eiskronenzitadelle
Bosse[3][20] = { 1601,1602,1603,1604,1605,1606,1607,1608,1609,1610,1611,1612,1613,1614,1615 }	-- Naxxramas
Bosse[3][21] = { 1616 }													-- Obsidiansanktum
Bosse[3][22] = { 1651 }													-- Onyxias Hort
Bosse[3][23] = { 1618,1619,1621,1622,1623 }								-- Prüfung des Kreuzfahrers
Bosse[3][24] = { 1652 }													-- Rubinsanktum
Bosse[3][25] = { 1637,1638,1639,1640,1641,1642,1643,1644,1645,1646,1647,1648,1649,1650 }	-- Ulduar

						-------------------- Cataclysm:  --------------------
Difficulty[4] = { {2},{1,2},{2,24},{1,2,24},{1,2},{1,2},{1,2,24},{2},{1,2,24},{1,2},{1,2,24},{1,2,24},{1,2},{1,2},{3,5,4,6},{3,5,4,6},{7,3,5,4,6},{3,5,4,6},{3,5,4,6},{3,5,4,6} }
Instanzen[4] = 	{ 185,64,184,71,70,66,67,186,65,63,69,68,76,76,75,72,187,78,73,74 }
MapIDS[4] = 	{ 816,764,820,757,759,753,768,819,767,756,747,769,781,793,752,758,824,800,754,773 }
Bosse[4][1] = { 290,291,292 }											-- Brunnen der Ewigkeit
Bosse[4][2] = { 96,97,98,99,100 }										-- Burg Schattenfang
Bosse[4][3] = { 340,285,323,283,289 }									-- Endzeit
Bosse[4][4] = { 131,132,133,134 }										-- Grim Batol
Bosse[4][5] = { 124,125,126,127,128,129,130 }							-- Hallen des Ursprungs
Bosse[4][6] = { 105,106,107,108,109 }									-- Schwarzfelshöhlen
Bosse[4][7] = { 110,111,112,113 }										-- Der Steinerne Kern
Bosse[4][8] = { 322,342,341 }											-- Stunde des Zwielichts
Bosse[4][9] = { 101,102,103,104 }										-- Thron der Gezeiten
Bosse[4][10] = { 89,90,91,92,93,95 }									-- Todesminen
Bosse[4][11] = { 117,118,119,122 }										-- Die Verlorene Stadt der Tol'vir
Bosse[4][12] = { 114,115,116 }											-- Vortexgipfel
Bosse[4][13] = { 186,187,188,189,190,191 }								-- Zul'Aman
Bosse[4][14] = { 175,176,177,178,179,180,181,184,185 }					-- Zul'Gurub
						-------------------- Raids:  --------------------
Bosse[4][15] = { 139,140,339 }  										-- Baradinfestung
Bosse[4][16] = { 156,157,158,167 }										-- Bastion des Zwielichts
Bosse[4][17] = { 311,324,325,317,331,332,318,333 }						-- Drachenseele
Bosse[4][18] = { 192,193,194,195,196,197,198 }							-- Feuerlande
Bosse[4][19] = { 169,170,171,172,173,174 }								-- Pechschwingenabstieg
Bosse[4][20] = { 154,155 }												-- Thron der Vier Winde

						-------------------- Mists of Pandaria:  --------------------
Difficulty[5] = { {1,2},{1,2},{1,2},{1,2},{1,2},{1,2},{1,2},{1,2},{1,2},{7,3,5,4,6},{17,14,15,16},{7,3,5,4,6},{7,3,5,4,6},{7,3,5,4,6},{0} }
Instanzen[5] = 	{ 324,302,321,311,316,246,312,313,303,330,369,317,320,362,322 }
MapIDS[5] = 	{ 887,876,885,871,874,898,877,867,875,897,953,896,886,930,GL["World Bosses"] }
Bosse[5][1] = { 693,738,692,727 }										-- Belagerung des Niuzaotempels
Bosse[5][2] = { 668,669,670 }											-- Die Brauerei Sturmbräu
Bosse[5][3] = { 708,690,698 }											-- Mogu'shanpalast
Bosse[5][4] = { 660,654,656 }											-- Scharlachrote Hallen
Bosse[5][5] = { 688,671,674 }											-- Scharlachrote Kloster
Bosse[5][6] = { 659,663,665,666,684 }									-- Scholomance
Bosse[5][7] = { 673,657,685,686 }										-- Shado-Pan Kloster
Bosse[5][8] = { 672,664,658,335 }										-- Tempel der Jadeschlange
Bosse[5][9] = { 655,675,676,649 }										-- Tor der Untergehenden Sonne
						-------------------- Raids:  --------------------
Bosse[5][10] = { 745,744,713,741,737,743 }								-- Herz der Angst
Bosse[5][11] = { 852,849,866,867,881,864,856,850,846,870,851,865,853,869 }		-- Schlacht um Ogrimmar	
Bosse[5][12] = { 679,689,682,687,726,677 }								-- Mogu'shangewölbe
Bosse[5][13] = { 683,742,729,709 }										-- Terrasse des Endlosen Frühlings
Bosse[5][14] = { 827,819,816,825,821,828,818,820,824,817,829,832 }		-- Thron des Donners
Bosse[5][15] = { 691,725,814,826,857,858,859,860,861 }					-- Weltbosse

						-------------------- Warlords of Draenor:  --------------------
Difficulty[6] = { {1,2,23},{1,2,23},{1,2,23},{1,2,23},{1,2,23},{1,2,23},{1,2,23},{1,2,23},{17,14,15,16},{17,14,15,16},{17,14,15,16},{14} }
Instanzen[6] = 	{ 547,385,558,536,476,556,559,537,477,457,669,557 }
MapIDS[6] = 	{ 984,964,987,993,989,1008,995,969,994,988,1026,GL["World Bosses"] }
Bosse[6][1] = { 1185,1186,1216,1225 }									-- Auchindoun
Bosse[6][2] = { 893,888,887,889 }										-- Blutschlägermine
Bosse[6][3] = { 1235,1236,1237,1238 }									-- Eisendocks
Bosse[6][4] = { 1138,1163,1133 }										-- Grimmgleisdepot
Bosse[6][5] = { 965,966,967,968 }										-- Himmelsnadel
Bosse[6][6] = { 1214,1207,1208,1209,1210 }								-- Der Immergrüne Flor
Bosse[6][7] = { 1226,1227,1228,1229,1234 }								-- Obere Schwarzfelsspitze
Bosse[6][8] = { 1139,1168,1140,1160 }									-- Schattenmondgrabstätte
						-------------------- Raids:  --------------------
Bosse[6][9] = { 1128,971,1195,1196,1148,1153,1197 }						-- Hochfels
Bosse[6][10] = { 1202,1155,1122,1161,1123,1147,1154,1162,1203,959 }		-- Schwarzfelsgießerei
Bosse[6][11] = { 1426,1425,1392,1432,1396,1372,1433,1427,1391,1447,1394,1395,1438 }		-- Höllenfeuerzitadelle
Bosse[6][12] = { 1291,1211,1262,1452 }									-- Weltbosse

						-------------------- Legion:  --------------------
Difficulty[7] = { {23},{1,2,23},{1,2,23},{1,2,23},{23},{1,2,23},{1,2,23},{1,2,23},{1,2,23},{1,2,23},{17,14,15,16},{17,14,15,16},{0} }
Instanzen[7] = 	{ 726,716,762,721,800,767,740,727,777,707,768,786,822 }
MapIDS[7] = 	{ 1079,1046,1067,1041,1087,1065,1081,1042,1066,1045,1094,1088,GL["World Bosses"] }
Bosse[7][1] = { 1497,1498,1499,1500,1501 }								-- Der Arkus
Bosse[7][2] = { 1480,1490,1491,1479,1492 }								-- Auge Azsharas
Bosse[7][3] = { 1654,1655,1656,1657 }									-- Das Finsterherzdickicht
Bosse[7][4] = { 1485,1486,1487,1488,1489 }								-- Hallen der Tapferkeit
Bosse[7][5] = { 1718,1719,1720 }										-- Hof der Sterne
Bosse[7][6] = { 1662,1665,1673,1687 }									-- Neltharions Hort
Bosse[7][7] = { 1518,1653,1664,1672 }									-- Die Rabenwehr
Bosse[7][8] = { 1502,1512,1663 }										-- Der Seelenschlund
Bosse[7][9] = { 1693,1694,1702,1686,1688,1696,1697,1711 }				-- Sturm auf die Violette Festung
Bosse[7][10] = { 1467,1695,1468,1469,1470 }								-- Das Verlies der Wächterinnen
						-------------------- Raids:  --------------------
Bosse[7][11] = { 1703,1738,1744,1667,1704,1750,1726 }					-- Smaragdgrüne Alptraum
Bosse[7][12] = { 1706,1725,1731,1751,1762,1713,1761,1732,1743,1737 }	-- Nachtfestung
Bosse[7][13] = { 1790,1774,1789,1795,1770,1769,1783,1749,1763,1756,1796 }		-- Weltbosse


Gnoll.Data.Addons = Addons
Gnoll.Data.Instanzen = Instanzen
Gnoll.Data.MapIDS = MapIDS
Gnoll.Data.Difficulty = Difficulty
Gnoll.Data.Bosse = Bosse
Gnoll.Data.ClassSpecs = ClassSpecs
Gnoll.Data.Modul = Modul
Gnoll.Data.ModulData = ModulData
Gnoll.Data.ModulLoot = ModulLoot